<!DOCTYPE html>
<html lang="en">
<head>
    <title>Sobrecarga</title>
</head>
<body>
    Sobrecarga
    <script>
       class Padre {
           tarea() {
               console.log("Tarea del padre");
           }
           tarea(parametro) {
               console.log("Tarea del perro");
           }
       }
       (new Padre()).tarea();
    </script>
</body>
</html>